Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XMLEntityManager.ScannedEntity

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLEntityManager.Entity
            |
            +--org.apache.xerces.impl.XMLEntityManager.ScannedEntity

Enclosing class:
  XMLEntityManager

public class XMLEntityManager.ScannedEntity
extends XMLEntityManager.Entity

Entity state.

Author:
  Andy Clark, IBM

Field Summary
`char[]` | `ch` Character buffer.
`int` | `columnNumber` Column number.
`int` | `count` Count of characters in buffer.
`java.lang.String` | `encoding` Auto-detected encoding.
`org.apache.xerces.xni.XMLResourceIdentifier` | `entityLocation` entity location information
`boolean` | `isExternal`
`int` | `lineNumber` Line number.
`boolean` | `literal` True if in a literal.
`boolean` | `mayReadChunks`
`int` | `position` Position in character buffer.
`java.io.Reader` | `reader` Reader.
`java.io.InputStream` | `stream` Input stream.

Fields inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`inExternalSubset, name`

Constructor Summary
`XMLEntityManager.ScannedEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier entityLocation, java.io.InputStream stream, java.io.Reader reader, java.lang.String encoding, boolean literal, boolean mayReadChunks, boolean isExternal)` Constructs a scanned entity.

Method Summary
`int` | `getColumnNumber()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getExpandedSystemId()`
`int` | `getLineNumber()`
`java.lang.String` | `getLiteralSystemId()`
`boolean` | `isDeclaredEncoding()`
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setDeclaredEncoding(boolean value)`
`void` | `setReader(java.io.InputStream stream, java.lang.String encoding, java.lang.Boolean isBigEndian)`
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`clear, isEntityDeclInExternalSubset, setValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stream

    public java.io.InputStream stream

  Input stream.

### reader

    public java.io.Reader reader

  Reader.

### entityLocation

    public org.apache.xerces.xni.XMLResourceIdentifier entityLocation

  entity location information

### lineNumber

    public int lineNumber

  Line number.

### columnNumber

    public int columnNumber

  Column number.

### encoding

    public java.lang.String encoding

  Auto-detected encoding.

### literal

    public boolean literal

  True if in a literal.

### isExternal

    public boolean isExternal

### ch

    public char[] ch

  Character buffer.

### position

    public int position

  Position in character buffer.

### count

    public int count

  Count of characters in buffer.

### mayReadChunks

    public boolean mayReadChunks

Constructor Detail

### XMLEntityManager.ScannedEntity

    public XMLEntityManager.ScannedEntity(java.lang.String name,
                                          org.apache.xerces.xni.XMLResourceIdentifier entityLocation,
                                          java.io.InputStream stream,
                                          java.io.Reader reader,
                                          java.lang.String encoding,
                                          boolean literal,
                                          boolean mayReadChunks,
                                          boolean isExternal)

  Constructs a scanned entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.
  Overrides:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.
  Overrides:
    `isUnparsed` in class `XMLEntityManager.Entity`

### setReader

    public void setReader(java.io.InputStream stream,
                          java.lang.String encoding,
                          java.lang.Boolean isBigEndian)
                   throws java.io.IOException

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### getEncoding

    public java.lang.String getEncoding()

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

### isDeclaredEncoding

    public boolean isDeclaredEncoding()

### setDeclaredEncoding

    public void setDeclaredEncoding(boolean value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.